Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6306 - users other than root can shutdown machine remotely
Summary: users other than root can shutdown machine remotely
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam
Version: 6.1
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-24 15:46 UTC by bojordan
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-25 16:56:32 UTC


Attachments (Terms of Use)

Description bojordan 1999-10-24 15:46:33 UTC
On at least two default RedHat 6.1 install with all
packages, when shutting down from a user other than root
that user's password is accepted in order to proceed with
shutdown, rather than the root password.

Feel free to contact me for further information.

Bo Jordan
bojordan@olemiss.edu

Comment 1 Bill Nottingham 1999-10-25 15:27:59 UTC
Is that user currently logged in at the console?

Comment 2 bojordan 1999-10-25 15:58:59 UTC
That is correct.  Upon further examination, a user (other than root)
not logged into console is not able to shutdown on these machines.

Comment 3 Bill Nottingham 1999-10-25 16:10:59 UTC
What do /etc/pam.d/shutdown and
/etc/security/console.apps/shutdown say?


Note You need to log in before you can comment on or make changes to this bug.